<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>Sample App</title>
</head>
<body>
<h2>カレンダー</h2>

<p>{{.user.ID}}</p>
<p>{{.user.Name}}</p>
<p>{{.user.Age}}</p>

<form method="post" action="/update/{{.todo.ID}}">
    <p>内容<input type="text" name="text" size="30" value="{{.todo.Text}}" ></p>
    <p>状態
        <select name="status">
            {{if eq .todo.Status "未実行"}}
                <option value="未実行" selected>未実行</option>
                <option value="実行中">実行中</option>
                <option value="終了">終了</option>
            {{else if eq .todo.Status "実行中"}}
                <option value="未実行">未実行</option>
                <option value="実行中" selected>実行中</option>
                <option value="終了">終了</option>
            {{else}}
                <option value="未実行">未実行</option>
                <option value="実行中">実行中</option>
                <option value="終了" selected>終了</option>
            {{end}}
        </select>
    </p>
    <p><input type="submit" value="Send"></p>
</form>
</body>

</html>